[arch-commits] Commit in videoproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 19 02:10:56 EDT 2009


    Date: Sunday, April 19, 2009 @ 02:10:56
  Author: eric
Revision: 35975

upgpkg: videoproto 2.2.2-2
    Added license

Modified:
  videoproto/trunk/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-19 06:08:56 UTC (rev 35974)
+++ PKGBUILD	2009-04-19 06:10:56 UTC (rev 35975)
@@ -3,17 +3,19 @@
 
 pkgname=videoproto
 pkgver=2.2.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Video extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('44292d74a9a3c94b1ecb9d77a0da83e8')
 sha1sums=('904eb59ae2451dea52370d927bf490b696f9033c')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list